Subject: Re: bug#8452: 24.0.50; doc of `pp' and related functions

From: Lars Magne Ingebrigtsen <[email-masked]>
Date: Sat, 02 Jul 2011 17:48:30 +0200

"Drew Adams" <[email-masked]> writes:

> 1. Users should not need to dive into the `pp' source code to discover
> its behavior.  The doc string should describe that.  And its behavior
> is designed to change with these vars.  Those behavior differences
> need to be pointed out.

Not even `princ' describes what is does with the myriad `print-*'
variables.  I think the assumption is that someone who uses the Lisp
printer are aware that these things exist, and repeating it in all the
print-related function is unnecessary.

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/